import request from '@/utils/request'

// 查询账户转账记录列表
export function listAccountsTransferRecord(query) {
  return request({
    url: '/invest/accountsTransferRecord/list',
    method: 'get',
    params: query
  })
}

// 查询账户转账记录详细
export function getAccountsTransferRecord(id) {
  return request({
    url: '/invest/accountsTransferRecord/' + id,
    method: 'get'
  })
}

// 新增账户转账记录
export function addAccountsTransferRecord(data) {
  return request({
    url: '/invest/accountsTransferRecord',
    method: 'post',
    data
  })
}

// 修改账户转账记录
export function updateAccountsTransferRecord(data) {
  return request({
    url: '/invest/accountsTransferRecord',
    method: 'put',
    data
  })
}

// 删除账户转账记录
export function delAccountsTransferRecord(id) {
  return request({
    url: '/invest/accountsTransferRecord/' + id,
    method: 'delete'
  })
}
